Bug 232362 - traceback trying to install debuginfo
traceback trying to install debuginfo
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-14 20:20 EDT by Dave Jones
Modified: 2015-01-04 17:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-15 11:25:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2007-03-14 20:20:03 EDT
I enabled the debuginfo repo in /etc/yum.repos for updates and updates-testing,
and tried yum update bind-debuginfo
It got me this..
# yum install bind-debuginfo
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 94, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 381, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 134, in doCommand
    return base.installPkgs(extcmds)
  File "/usr/share/yum-cli/cli.py", line 553, in installPkgs
    exactmatch, matched, unmatched = \
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 347, in
matchPackageNames
    e, m, u = sack.matchPackageNames(pkgspecs)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 522, in
matchPackageNames
    unmatched.remove(p)
ValueError: list.remove(x): x not in list

I did a yum clean all, and retried, no difference.
Comment 1 Seth Vidal 2007-03-15 11:25:44 EDT
bug in 3.0.4 - fixed in 3.0.5 which will hit updates-testing whenever jeremy
gets back from his vacation.

thanks

Note You need to log in before you can comment on or make changes to this bug.